package com.ekingwin.bas.cloud.document.service;

import java.io.FileNotFoundException;
import java.io.InputStream;

import com.ekingwin.bas.cloud.document.dao.entity.DocFile;
import com.ekingwin.bas.cloud.document.dao.entity.DocumentInfo;

public interface IDocFileService {
	public void save(DocFile docFile);
	
	public void delete(String id);
	
	public DocFile get(String id);
	
	public DocFile storeFile(DocumentInfo doc);
	
	public InputStream getFileStream(DocFile df) throws FileNotFoundException;

	public InputStream getFileStream(DocFile df, boolean watermark) throws FileNotFoundException;
	
}
