package com.ekingwin.bas.cloud.login.service;

import com.ekingwin.bas.cloud.login.dto.OauthLoginUserDto;
import com.ekingwin.bas.cloud.login.vo.LoginUserVo;

/**
 * @ClassName :
 * @description:
 * @author: zhangjie
 * @create: 2019-10-17 13:35
 **/
public interface ISsoService {


    /**
    * 获取登录信息
    * @Param:  * @param oauthLoginUserDto
    * @return: com.ekingwin.bas.cloud.login.vo.LoginUserVo
    * @Author: zhangjie
    * @Date: 2019/10/17 16:10
    */
    LoginUserVo oauthLoginUser(OauthLoginUserDto oauthLoginUserDto) throws Exception;


    /**
    * 根据用户id获取信息
    * @Param:  * @param userId
    * @return: com.ekingwin.bas.cloud.login.vo.LoginUserVo
    * @Author: zhangjie
    * @Date: 2019/10/21 21:05
    */
    LoginUserVo getUserDetailById(String userId) throws Exception;


    int insertAppDown(String apptype);


    int insertLoginInfo(String apptype,String userid);



    String getUserArea(String userId) throws Exception;
}
