package com.ekingwin.bas.cloud.org.service;

import org.springframework.web.multipart.MultipartFile;

import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.org.dto.OrganizationDto;
import com.ekingwin.bas.cloud.user.dto.UserDto;

public interface IOrganizationTenantService extends IBaseCurdService<OrganizationDto> {

 public BaseResult<PageCriteria<UserDto>> getUserByOrg(QueryDTO query) throws BasException;
 /**
  * 导入组织机构
  * @param file
  * @param pid
  * @return
  * @throws BasException
  */
 public boolean importorganization(MultipartFile file,  String pid) throws BasException;

}
