package com.ekingwin.bas.cloud.supplier.dto;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import java.util.List;

/**
 * @ClassName :
 * @description:
 * @author: zhangjie
 * @create: 2019-11-15 15:22
 **/
@Data
@XmlAccessorType(XmlAccessType.FIELD)
public class SuppliersDto {

    @XmlElement(name = "LIFNR")
    private String lifnr;


    @XmlElement(name = "LIFNR_GUID")
    private String lifnrGuid;

    @XmlElement(name = "LIFNR_NAME")
    private String lifnrName;


    @XmlElement(name = "LIFNR_NAME1")
    private String lifnrName1;


    @XmlElement(name = "LIFNR_TYPE")
    private String lifnrType;


    @XmlElement(name = "TEL_ADDRESS")
    private String telAddress;


    @XmlElement(name = "ZIP_CODE")
    private String zipCode;

    @XmlElement(name = "COM_PHONE")
    private String comPhone;


    @XmlElement(name = "TELEFAX")
    private String telefax;

    @XmlElement(name = "REMARK")
    private String remark;

    @XmlElement(name = "BUS_LICENCE")
    private String busLicence;

    @XmlElement(name = "ORGAN_CODE")
    private String organCode;

    @XmlElement(name = "AX_REG_CERT")
    private String axRegCert;


    @XmlElement(name = "COUNTRY")
    private String country;

    @XmlElement(name = "COUNTRY_DESC")
    private String countryDesc;

    @XmlElement(name = "REGION")
    private String region;

    @XmlElement(name = "REGION_DESC")
    private String regionDesc;

    @XmlElement(name = "CITY")
    private String city;

    @XmlElement(name = "CITY_DESC")
    private String cityDesc;

    @XmlElement(name = "DELETE_FALG")
    private String deteteFalg;

    @XmlElement(name = "DATUM")
    private String datum;

    @XmlElement(name = "CNAME")
    private String cnname;

    @XmlElement(name = "AEDAT")
    private String aedat;

    @XmlElement(name = "UNAME")
    private String uname;

    @XmlElement(name = "STATUS")
    private String status;

    @XmlElement(name = "ITEM_BANK")
    private List<SupplierBankDto> banks;

    @XmlElement(name = "ITEM_PERSON")
    private List<SupplierPersionDto> persions;

    @XmlElement(name = "ITEM_SCOPE")
    private List<SupplierScopeDto> scopes;

}
