package com.ekingwin.bas.cloud.supplier.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "供应商信息保存")
public class SuppliersSaveDto {

    private String supplierId;

    private String account;

    private String password;

    private String name;

    private String fullname;

    private String num;

    private String abbreviation;

    private String contact;

    private String phone;

    private String subank;

    private String subanknum;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "税务登记")
    private String taxnum;

    @ApiModelProperty(value = "邮箱")
    private String email;

    private String tel;

    private  String afterTax;
}
