package com.ekingwin.bas.cloud.thirdinterface.orgsync.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 组织机构的请求参数
 * 
 * @author liuch
 *
 */
public class OrgParamDto {
	@JsonProperty("TID")
	private String TID;
	@JsonProperty("Account")
	private String Account;
	@JsonProperty("Password")
	private String Password;
	@JsonProperty("TransName")
	private String TransName;
	@JsonProperty("Mode")
	private String Mode;
	@JsonProperty("TransDate")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date TransDate;
	@JsonProperty("FromNumber")
	private int FromNumber;
	@JsonProperty("ToNumber")
	private int ToNumber;

	public String getTID() {
		return TID;
	}

	public void setTID(String tID) {
		TID = tID;
	}

	public String getAccount() {
		return Account;
	}

	public void setAccount(String account) {
		Account = account;
	}

	public String getPassword() {
		return Password;
	}

	public void setPassword(String password) {
		Password = password;
	}

	public String getTransName() {
		return TransName;
	}

	public void setTransName(String transName) {
		TransName = transName;
	}

	public String getMode() {
		return Mode;
	}

	public void setMode(String mode) {
		Mode = mode;
	}

	public Date getTransDate() {
		return TransDate;
	}

	public void setTransDate(Date transDate) {
		TransDate = transDate;
	}

	public int getFromNumber() {
		return FromNumber;
	}

	public void setFromNumber(int fromNumber) {
		FromNumber = fromNumber;
	}

	public int getToNumber() {
		return ToNumber;
	}

	public void setToNumber(int toNumber) {
		ToNumber = toNumber;
	}

}
