package com.ekingwin.bas.cloud.user.dao.entity;

import com.ekingwin.bas.cloud.infra.dao.entity.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.sql.Date;

@Table(name = "EMPLOYEE")
public class User extends BaseEntity{

	/**
	 *
	 */
	private static final long serialVersionUID = 1022474506309251763L;
	@Id
	private	String	empuid	;//	员工uid
	private	String	empid	;//	员工工号
	private	String	cnname	;//	中文名称
	private	String	enname	;//	英文名称
	private	String	email	;//	邮件
	private	String	mobilephone	;//	电话
	private	String	deptid	;//	部门ID
	//private	String	deptname	;//	部门名称
	private	Integer	defaultpos	;//	岗位ID
	//private	String	defaultposname	;//	岗位名称
	//private	String	status	;//	员工状态1:启用;0禁用
	private	Date    birthdate	;//	生日
	private	String	homeaddress	;//	家庭住址
	private	String	homefax	;//	家庭传真
	//private	String	headportraitid	;//	头像ID
	//private	String	headportraiturl	;//	头像URL
	//private	String	lockstatus	;//	0:锁定;1:解锁
	private	String	phone	;//	电话
	private	String	phone2	;//	电话2
	private	String	sex	;//	性别
	//private	String	state	;//	业务状态0：出差??1：在职??2：会议休假??3：其他
	//private	String	type	;//	?"类型：内部用户：EMP；?系统账号：ExtUser；
	private	String	remark	;//	备注
	private	String	displayname	;//	备注
	private	String	superior	;//	上级
	//private	String	mystyle	;//	风格
	//private String useralias;//别名
	private String password;//密码
	@Column(name = "is_deleted")
	private String isDeleted;//是否删除
	//private String emailpassword;//邮箱密码
	@Transient
	private	String	tenantid	;//租户公司公司ID
	@Transient
	private String businesstype ;//业务类型    00是：既是供应商又是采购商，01：采购商，02 供应商
	@Transient
	private Date entrytime;//入职日期
	@Transient
	private String superiorname;//	上级姓名
	@Transient
	private String dataSourceForSaveUser;//	上级姓名
	private String eid;

	@Id
	public String getEmpuid() {
		return empuid;
	}

	public String getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}

	public void setEmpuid(String empuid) {
		this.empuid = empuid;
	}

	public Integer getDefaultpos() {
		return defaultpos;
	}

	public void setDefaultpos(Integer defaultpos) {
		this.defaultpos = defaultpos;
	}

	public String getEmpid() {
		return empid;
	}

	public String getCnname() {
		return cnname;
	}

	public String getEnname() {
		return enname;
	}

	public String getEmail() {
		return email;
	}

	public String getMobilephone() {
		return mobilephone;
	}

	public String getDeptid() {
		return deptid;
	}


	public String getHomeaddress() {
		return homeaddress;
	}

	public String getHomefax() {
		return homefax;
	}



	public String getPhone() {
		return phone;
	}

	public String getPhone2() {
		return phone2;
	}

	public String getSex() {
		return sex;
	}



	public String getDisplayname() {
		return displayname;
	}

	public void setEmpid(String empid) {
		this.empid = empid;
	}

	public void setCnname(String cnname) {
		this.cnname = cnname;
	}

	public void setEnname(String enname) {
		this.enname = enname;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setMobilephone(String mobilephone) {
		this.mobilephone = mobilephone;
	}

	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}



	public void setHomeaddress(String homeaddress) {
		this.homeaddress = homeaddress;
	}

	public void setHomefax(String homefax) {
		this.homefax = homefax;
	}



	public void setPhone(String phone) {
		this.phone = phone;
	}

	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}



	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}

	@Override
	public void setId(String id) {
		this.empuid = id;

	}

	@Override
	public String getId() {
		return this.empuid;
	}

	public String getSuperior() {
		return superior;
	}

	public void setSuperior(String superior) {
		this.superior = superior;
	}


	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Date getBirthdate() {
		return birthdate;
	}

	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}

	public String getTenantid() {
		return tenantid;
	}

	public void setTenantid(String tenantid) {
		this.tenantid = tenantid;
	}

	public String getBusinesstype() {
		return businesstype;
	}

	public void setBusinesstype(String businesstype) {
		this.businesstype = businesstype;
	}
	public Date getEntrytime() {
		return entrytime;
	}

	public void setEntrytime(Date entrytime) {
		this.entrytime = entrytime;
	}

	public String getSuperiorname() {
		return superiorname;
	}

	public void setSuperiorname(String superiorname) {
		this.superiorname = superiorname;
	}

	public String getDataSourceForSaveUser() {
		return dataSourceForSaveUser;
	}

	public void setDataSourceForSaveUser(String dataSourceForSaveUser) {
		this.dataSourceForSaveUser = dataSourceForSaveUser;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}


	public String getEid() {
		return eid;
	}

	public void setEid(String eid) {
		this.eid = eid;
	}
}
