package com.ekingwin.bas.cloud.user.dto;

import java.util.Date;

import com.ekingwin.bas.cloud.infra.dto.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("会员认证信息")
public class PasswordInfoDto extends BaseDTO {
	@ApiModelProperty(value = "主键", required = false)
	private	String	id	;//
	@ApiModelProperty(value = "手机号", required = false)
	private	String	way	;//手机号、或者邮箱
	@ApiModelProperty(value = "验证码", required = false)
	private	String	verificationcode	;//验证码
	@ApiModelProperty(value = "老密码", required = false)
	private	String	oldpassword	;//老密码
	@ApiModelProperty(value = "新密码", required = false)
	private	String	newpassword	;//新密码
	@ApiModelProperty(value = "校验码", required = false)
	private	String	checkcode	;//校验码
	@ApiModelProperty(value = "登陆账号", required = true)
	private	String	empuid	;//登陆账号
	@ApiModelProperty(value ="验证方式,1手机号,2邮箱",required = false)
	private String wayType;
	@ApiModelProperty(value ="平台,1供应商平台,2采购平台",required = true)
	private Integer platForm;

	private Date createon;
	private String createby;
	private Date updateon;
	private String updateby;

	
	
}
