package com.ekingwin.bas.cloud.web;

import javax.servlet.http.HttpServletResponse;

import io.swagger.annotations.Api;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.ekingwin.bas.cloud.infra.utils.web.UserUtils;

/**
 * Created by liuch on 2017-5-22.
 */
@RestController
@RequestMapping("/")
@Api("主页")
public class IndexController {

	@RequestMapping(value = "/", method = RequestMethod.GET)
	public String index() throws Exception {
		return "Login Successful:" + UserUtils.getCurrentUser();
	}

	@RequestMapping(value = "/home")
	public void home(HttpServletResponse response) throws Exception {
		String url = "http://support.ekingwin.com:7070";
		response.sendRedirect(url);
	}
}
