package com.ekingwin.bas.cloud.user.dto;

import com.ekingwin.bas.cloud.infra.dto.BaseDTO;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 用户属性Dto类
 * Created by liuch on 2017-4-18.
 */
public class UserDto extends BaseDTO {
	/**
	 * 
	 */
	private static final long serialVersionUID = -183617406751817088L;
	private	String	empuid	;//	员工uid
	private	String	empid	;//	员工工号
	private	String	cnname	;//	中文名称
	private	String	enname	;//	英文名称
	private	String	email	;//	邮件
	private	String	pname	;//	主岗名称
	private	String	mobilephone	;//	电话
	private	String	deptid	;//	部门ID
	private	String	deptname	;//	部门名称
	private	String	defaultpos	;//	岗位ID
	private	String	defaultposname	;//	岗位名称
	private	String	status	;//	员工状态1:启用;0禁用
	@JsonFormat( pattern="yyyy-MM-dd")
	private	Date    birthdate	;//	生日
	private	String	homeaddress	;//	家庭住址
	private	String	homefax	;//	家庭传真
	private	String	headportraitid	;//	头像ID
	private	String	headportraiturl	;//	头像URL
	private	String	lockstatus	;//	0:锁定;1:解锁
	private	String	phone	;//	电话
	private	String	phone2	;//	电话2
	private	String	sex	;//	性别
	private	String	state	;//	业务状态0：出差??1：在职??2：会议休假??3：其他
	private	String	type	;//	?"类型：内部用户：EMP；?系统账号：ExtUser；
	private	String	remark	;//	备注
	private	String	displayname	;//	备注
	private	String	superior	;//	上级
	private	String	mystyle	;//	风格
	private String useralias;//别名
	private String fullroute;//岗位全路径
	private String password;//岗位全路径
	private String emailpassword;//岗位全路径
	private String isDeleted="N";//是否删除 Y/N
	private String is_Deleted;//是否删除 Y/N
	private	String	tenantid	;//租户公司公司ID

	private String businesstype ;//业务类型    00是：既是供应商又是采购商，01：采购商，02 供应商

	private Date entrytime;//入职日期

	private String superiorname;//	上级姓名

	private String eid;


	public String getPname() {
		return pname;
	}
	public void setPname(String pname) {
		this.pname = pname;
	}
	public String getIs_Deleted() {
		return is_Deleted;
	}
	public void setIs_Deleted(String is_Deleted) {
		this.is_Deleted = is_Deleted;
	}
	public String getIsDeleted() {
		return isDeleted;
	}
	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}
	public String getFullroute() {
		return fullroute;
	}
	public void setFullroute(String fullroute) {
		this.fullroute = fullroute;
	}
	@Override
	public String getId() {
		return this.empuid;
	}
	@Override
	public void setId(String id) {
		this.empuid = id;
	}


	public String getUseralias() {
		return useralias;
	}
	public void setUseralias(String useralias) {
		this.useralias = useralias;
	}
	public String getEmpuid() {
		return empuid;
	}
	public String getEmpid() {
		return empid;
	}
	public String getCnname() {
		return cnname;
	}
	public String getEnname() {
		return enname;
	}
	public String getEmail() {
		return email;
	}
	public String getMobilephone() {
		return mobilephone;
	}
	public String getDeptid() {
		return deptid;
	}
	public String getDeptname() {
		return deptname;
	}
	public String getDefaultpos() {
		return defaultpos;
	}
	public String getDefaultposname() {
		return defaultposname;
	}
	public String getStatus() {
		return status;
	}
	public String getHomeaddress() {
		return homeaddress;
	}
	public String getHomefax() {
		return homefax;
	}
	public String getHeadportraitid() {
		return headportraitid;
	}
	public String getHeadportraiturl() {
		return headportraiturl;
	}
	public String getLockstatus() {
		return lockstatus;
	}
	public String getPhone() {
		return phone;
	}
	public String getPhone2() {
		return phone2;
	}
	public String getSex() {
		return sex;
	}
	public String getState() {
		return state;
	}
	public String getType() {
		return type;
	}
	public String getRemark() {
		return remark;
	}
	public String getDisplayname() {
		return displayname;
	}

	public void setEmpuid(String empuid) {
		this.empuid = empuid;
	}
	public void setEmpid(String empid) {
		this.empid = empid;
	}
	public void setCnname(String cnname) {
		this.cnname = cnname;
	}
	public void setEnname(String enname) {
		this.enname = enname;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public void setMobilephone(String mobilephone) {
		this.mobilephone = mobilephone;
	}
	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}
	public void setDeptname(String deptname) {
		this.deptname = deptname;
	}
	public void setDefaultpos(String defaultpos) {
		this.defaultpos = defaultpos;
	}
	public void setDefaultposname(String defaultposname) {
		this.defaultposname = defaultposname;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public void setHomeaddress(String homeaddress) {
		this.homeaddress = homeaddress;
	}
	public void setHomefax(String homefax) {
		this.homefax = homefax;
	}
	public void setHeadportraitid(String headportraitid) {
		this.headportraitid = headportraitid;
	}
	public void setHeadportraiturl(String headportraiturl) {
		this.headportraiturl = headportraiturl;
	}
	public void setLockstatus(String lockstatus) {
		this.lockstatus = lockstatus;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public void setState(String state) {
		this.state = state;
	}
	public void setType(String type) {
		this.type = type;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}

	public String getSuperior() {
		return superior;
	}
	public void setSuperior(String superior) {
		this.superior = superior;
	}


	public Date getBirthdate() {
		return birthdate;
	}
	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}
	public String getMystyle() {
		return mystyle;
	}
	public void setMystyle(String mystyle) {
		this.mystyle = mystyle;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getEmailpassword() {
		return emailpassword;
	}
	public void setEmailpassword(String emailpassword) {
		this.emailpassword = emailpassword;
	}
	public String getTenantid() {
		return tenantid;
	}
	public void setTenantid(String tenantid) {
		this.tenantid = tenantid;
	}
	public String getBusinesstype() {
		return businesstype;
	}
	public void setBusinesstype(String businesstype) {
		this.businesstype = businesstype;
	}
	public Date getEntrytime() {
		return entrytime;
	}
	public void setEntrytime(Date entrytime) {
		this.entrytime = entrytime;
	}
	public String getSuperiorname() {
		return superiorname;
	}
	public void setSuperiorname(String superiorname) {
		this.superiorname = superiorname;
	}

	public String getEid() {
		return eid;
	}

	public void setEid(String eid) {
		this.eid = eid;
	}
}
